## NAS Get PLMN Name request NAS Get PLMN Name request |

## Functions

QmiMessageNasGetPlmnNameInput * | qmi_message_nas_get_plmn_name_input_new ()
QmiMessageNasGetPlmnNameInput * | qmi_message_nas_get_plmn_name_input_ref ()
void | qmi_message_nas_get_plmn_name_input_unref ()
gboolean | qmi_message_nas_get_plmn_name_input_get_send_all_information ()
gboolean | qmi_message_nas_get_plmn_name_input_set_send_all_information ()
gboolean | qmi_message_nas_get_plmn_name_input_get_radio_access_technology ()
gboolean | qmi_message_nas_get_plmn_name_input_set_radio_access_technology ()
gboolean | qmi_message_nas_get_plmn_name_input_get_csg_id ()
gboolean | qmi_message_nas_get_plmn_name_input_set_csg_id ()
gboolean | qmi_message_nas_get_plmn_name_input_get_use_static_table_only ()
gboolean | qmi_message_nas_get_plmn_name_input_set_use_static_table_only ()
gboolean | qmi_message_nas_get_plmn_name_input_get_always_send_plmn_name ()
gboolean | qmi_message_nas_get_plmn_name_input_set_always_send_plmn_name ()
gboolean | qmi_message_nas_get_plmn_name_input_get_mnc_pcs_digit_include_status ()
gboolean | qmi_message_nas_get_plmn_name_input_set_mnc_pcs_digit_include_status ()
gboolean | qmi_message_nas_get_plmn_name_input_get_suppress_sim_error ()
gboolean | qmi_message_nas_get_plmn_name_input_set_suppress_sim_error ()
gboolean | qmi_message_nas_get_plmn_name_input_get_plmn ()
gboolean | qmi_message_nas_get_plmn_name_input_set_plmn ()
QmiMessageNasGetPlmnNameOutput * | qmi_message_nas_get_plmn_name_output_ref ()
void | qmi_message_nas_get_plmn_name_output_unref ()
gboolean | qmi_message_nas_get_plmn_name_output_get_network_name_source ()
gboolean | qmi_message_nas_get_plmn_name_output_get_additional_information ()
gboolean | qmi_message_nas_get_plmn_name_output_get_plmn_name_with_language_id ()
gboolean | qmi_message_nas_get_plmn_name_output_get_network_information ()
gboolean | qmi_message_nas_get_plmn_name_output_get_display_bit_information ()
gboolean | qmi_message_nas_get_plmn_name_output_get_3gpp_eons_plmn_name ()
gboolean | qmi_message_nas_get_plmn_name_output_get_result ()
void | qmi_client_nas_get_plmn_name ()
QmiMessageNasGetPlmnNameOutput * | qmi_client_nas_get_plmn_name_finish ()

## Types and Values

| QmiMessageNasGetPlmnNameInput
| QmiMessageNasGetPlmnNameOutput
| QmiMessageNasGetPlmnNameOutputPlmnNameWithLanguageIdElement

## Object Hierarchy

        GBoxed
        ├── QmiMessageNasGetPlmnNameInput
        ╰── QmiMessageNasGetPlmnNameOutput

## Description

## Functions

### qmi_message_nas_get_plmn_name_input_new ()

    QmiMessageNasGetPlmnNameInput *
    qmi_message_nas_get_plmn_name_input_new
                                   (void);

Allocates a new QmiMessageNasGetPlmnNameInput.

#### Returns

the newly created QmiMessageNasGetPlmnNameInput. The returned value should be freed with `qmi_message_nas_get_plmn_name_input_unref()`.

Since: 1.28

### qmi_message_nas_get_plmn_name_input_ref ()

    QmiMessageNasGetPlmnNameInput *
    qmi_message_nas_get_plmn_name_input_ref
                                   (QmiMessageNasGetPlmnNameInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasGetPlmnNameInput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_nas_get_plmn_name_input_unref ()

    void
    qmi_message_nas_get_plmn_name_input_unref
                                   (QmiMessageNasGetPlmnNameInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasGetPlmnNameInput. |

Since: 1.28

### qmi_message_nas_get_plmn_name_input_get_send_all_information ()

    gboolean
    qmi_message_nas_get_plmn_name_input_get_send_all_information
                                   (QmiMessageNasGetPlmnNameInput *self,
                                    gboolean *value_send_all_information,
                                    GError **error);

Get the 'Send All Information' field from `self` .

#### Parameters

self | a QmiMessageNasGetPlmnNameInput. |
value_send_all_information | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_nas_get_plmn_name_input_set_send_all_information ()

    gboolean
    qmi_message_nas_get_plmn_name_input_set_send_all_information
                                   (QmiMessageNasGetPlmnNameInput *self,
                                    gboolean value_send_all_information,
                                    GError **error);

Set the 'Send All Information' field in the message.

#### Parameters

self | a QmiMessageNasGetPlmnNameInput. |
value_send_all_information | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_nas_get_plmn_name_input_get_radio_access_technology ()

    gboolean
    qmi_message_nas_get_plmn_name_input_get_radio_access_technology
                                   (QmiMessageNasGetPlmnNameInput *self,
                                    QmiNasRadioInterface *value_radio_access_technology,
                                    GError **error);

Get the 'Radio Access Technology' field from `self` .

#### Parameters

self | a QmiMessageNasGetPlmnNameInput. |
value_radio_access_technology | a placeholder for the output QmiNasRadioInterface, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_nas_get_plmn_name_input_set_radio_access_technology ()

    gboolean
    qmi_message_nas_get_plmn_name_input_set_radio_access_technology
                                   (QmiMessageNasGetPlmnNameInput *self,
                                    QmiNasRadioInterface value_radio_access_technology,
                                    GError **error);

Set the 'Radio Access Technology' field in the message.

#### Parameters

self | a QmiMessageNasGetPlmnNameInput. |
value_radio_access_technology | a QmiNasRadioInterface. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_nas_get_plmn_name_input_get_csg_id ()

    gboolean
    qmi_message_nas_get_plmn_name_input_get_csg_id
                                   (QmiMessageNasGetPlmnNameInput *self,
                                    guint32 *value_csg_id,
                                    GError **error);

Get the 'CSG ID' field from `self` .

#### Parameters

self | a QmiMessageNasGetPlmnNameInput. |
value_csg_id | a placeholder for the output guint32, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_nas_get_plmn_name_input_set_csg_id ()

    gboolean
    qmi_message_nas_get_plmn_name_input_set_csg_id
                                   (QmiMessageNasGetPlmnNameInput *self,
                                    guint32 value_csg_id,
                                    GError **error);

Set the 'CSG ID' field in the message.

#### Parameters

self | a QmiMessageNasGetPlmnNameInput. |
value_csg_id | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_nas_get_plmn_name_input_get_use_static_table_only ()

    gboolean
    qmi_message_nas_get_plmn_name_input_get_use_static_table_only
                                   (QmiMessageNasGetPlmnNameInput *self,
                                    gboolean *value_use_static_table_only,
                                    GError **error);

Get the 'Use Static Table Only' field from `self` .

#### Parameters

self | a QmiMessageNasGetPlmnNameInput. |
value_use_static_table_only | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_nas_get_plmn_name_input_set_use_static_table_only ()

    gboolean
    qmi_message_nas_get_plmn_name_input_set_use_static_table_only
                                   (QmiMessageNasGetPlmnNameInput *self,
                                    gboolean value_use_static_table_only,
                                    GError **error);

Set the 'Use Static Table Only' field in the message.

#### Parameters

self | a QmiMessageNasGetPlmnNameInput. |
value_use_static_table_only | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_nas_get_plmn_name_input_get_always_send_plmn_name ()

    gboolean
    qmi_message_nas_get_plmn_name_input_get_always_send_plmn_name
                                   (QmiMessageNasGetPlmnNameInput *self,
                                    gboolean *value_always_send_plmn_name,
                                    GError **error);

Get the 'Always Send PLMN Name' field from `self` .

#### Parameters

self | a QmiMessageNasGetPlmnNameInput. |
value_always_send_plmn_name | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_nas_get_plmn_name_input_set_always_send_plmn_name ()

    gboolean
    qmi_message_nas_get_plmn_name_input_set_always_send_plmn_name
                                   (QmiMessageNasGetPlmnNameInput *self,
                                    gboolean value_always_send_plmn_name,
                                    GError **error);

Set the 'Always Send PLMN Name' field in the message.

#### Parameters

self | a QmiMessageNasGetPlmnNameInput. |
value_always_send_plmn_name | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_nas_get_plmn_name_input_get_mnc_pcs_digit_include_status ()

    gboolean
    qmi_message_nas_get_plmn_name_input_get_mnc_pcs_digit_include_status
                                   (QmiMessageNasGetPlmnNameInput *self,
                                    gboolean *value_mnc_pcs_digit_include_status,
                                    GError **error);

Get the 'MNC PCS Digit Include Status' field from `self` .

#### Parameters

self | a QmiMessageNasGetPlmnNameInput. |
value_mnc_pcs_digit_include_status | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_nas_get_plmn_name_input_set_mnc_pcs_digit_include_status ()

    gboolean
    qmi_message_nas_get_plmn_name_input_set_mnc_pcs_digit_include_status
                                   (QmiMessageNasGetPlmnNameInput *self,
                                    gboolean value_mnc_pcs_digit_include_status,
                                    GError **error);

Set the 'MNC PCS Digit Include Status' field in the message.

#### Parameters

self | a QmiMessageNasGetPlmnNameInput. |
value_mnc_pcs_digit_include_status | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_nas_get_plmn_name_input_get_suppress_sim_error ()

    gboolean
    qmi_message_nas_get_plmn_name_input_get_suppress_sim_error
                                   (QmiMessageNasGetPlmnNameInput *self,
                                    gboolean *value_suppress_sim_error,
                                    GError **error);

Get the 'Suppress SIM Error' field from `self` .

#### Parameters

self | a QmiMessageNasGetPlmnNameInput. |
value_suppress_sim_error | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_nas_get_plmn_name_input_set_suppress_sim_error ()

    gboolean
    qmi_message_nas_get_plmn_name_input_set_suppress_sim_error
                                   (QmiMessageNasGetPlmnNameInput *self,
                                    gboolean value_suppress_sim_error,
                                    GError **error);

Set the 'Suppress SIM Error' field in the message.

#### Parameters

self | a QmiMessageNasGetPlmnNameInput. |
value_suppress_sim_error | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_nas_get_plmn_name_input_get_plmn ()

    gboolean
    qmi_message_nas_get_plmn_name_input_get_plmn
                                   (QmiMessageNasGetPlmnNameInput *self,
                                    guint16 *value_plmn_mcc,
                                    guint16 *value_plmn_mnc,
                                    GError **error);

Get the 'PLMN' field from `self` .

#### Parameters

self | a QmiMessageNasGetPlmnNameInput. |
value_plmn_mcc | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
value_plmn_mnc | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_nas_get_plmn_name_input_set_plmn ()

    gboolean
    qmi_message_nas_get_plmn_name_input_set_plmn
                                   (QmiMessageNasGetPlmnNameInput *self,
                                    guint16 value_plmn_mcc,
                                    guint16 value_plmn_mnc,
                                    GError **error);

Set the 'PLMN' field in the message.

#### Parameters

self | a QmiMessageNasGetPlmnNameInput. |
value_plmn_mcc | a guint16. |
value_plmn_mnc | a guint16. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_nas_get_plmn_name_output_ref ()

    QmiMessageNasGetPlmnNameOutput *
    qmi_message_nas_get_plmn_name_output_ref
                                   (QmiMessageNasGetPlmnNameOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasGetPlmnNameOutput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_nas_get_plmn_name_output_unref ()

    void
    qmi_message_nas_get_plmn_name_output_unref
                                   (QmiMessageNasGetPlmnNameOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasGetPlmnNameOutput. |

Since: 1.28

### qmi_message_nas_get_plmn_name_output_get_network_name_source ()

    gboolean
    qmi_message_nas_get_plmn_name_output_get_network_name_source
                                   (QmiMessageNasGetPlmnNameOutput *self,
                                    QmiNasNetworkNameSource *value_network_name_source,
                                    GError **error);

Get the 'Network Name Source' field from `self` .

#### Parameters

self | a QmiMessageNasGetPlmnNameOutput. |
value_network_name_source | a placeholder for the output QmiNasNetworkNameSource, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_nas_get_plmn_name_output_get_additional_information ()

    gboolean
    qmi_message_nas_get_plmn_name_output_get_additional_information
                                   (QmiMessageNasGetPlmnNameOutput *self,
                                    GArray **value_additional_information,
                                    GError **error);

Get the 'Additional Information' field from `self` .

#### Parameters

self | a QmiMessageNasGetPlmnNameOutput. |
value_additional_information | a placeholder for the output GArray of guint16 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint16][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_nas_get_plmn_name_output_get_plmn_name_with_language_id ()

    gboolean
    qmi_message_nas_get_plmn_name_output_get_plmn_name_with_language_id
                                   (QmiMessageNasGetPlmnNameOutput *self,
                                    GArray **value_plmn_name_with_language_id,
                                    GError **error);

Get the 'PLMN Name With Language Id' field from `self` .

#### Parameters

self | a QmiMessageNasGetPlmnNameOutput. |
value_plmn_name_with_language_id | a placeholder for the output GArray of QmiMessageNasGetPlmnNameOutputPlmnNameWithLanguageIdElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type QmiMessageNasGetPlmnNameOutputPlmnNameWithLanguageIdElement][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_nas_get_plmn_name_output_get_network_information ()

    gboolean
    qmi_message_nas_get_plmn_name_output_get_network_information
                                   (QmiMessageNasGetPlmnNameOutput *self,
                                    QmiNasBoolean *value_network_information,
                                    GError **error);

Get the 'Network Information' field from `self` .

#### Parameters

self | a QmiMessageNasGetPlmnNameOutput. |
value_network_information | a placeholder for the output QmiNasBoolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_nas_get_plmn_name_output_get_display_bit_information ()

    gboolean
    qmi_message_nas_get_plmn_name_output_get_display_bit_information
                                   (QmiMessageNasGetPlmnNameOutput *self,
                                    QmiNasBoolean *value_display_bit_information_service_provider_name_set,
                                    QmiNasBoolean *value_display_bit_information_plmn_name_set,
                                    GError **error);

Get the 'Display Bit Information' field from `self` .

#### Parameters

self | a QmiMessageNasGetPlmnNameOutput. |
value_display_bit_information_service_provider_name_set | a placeholder for the output QmiNasBoolean, or `NULL` if not required. | [out][optional]
value_display_bit_information_plmn_name_set | a placeholder for the output QmiNasBoolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_nas_get_plmn_name_output_get_3gpp_eons_plmn_name ()

    gboolean
    qmi_message_nas_get_plmn_name_output_get_3gpp_eons_plmn_name
                                   (QmiMessageNasGetPlmnNameOutput *self,
                                    QmiNasNetworkDescriptionEncoding *value_3gpp_eons_plmn_name_service_provider_name_encoding,
                                    GArray **value_3gpp_eons_plmn_name_service_provider_name,
                                    QmiNasNetworkDescriptionEncoding *value_3gpp_eons_plmn_name_short_name_encoding,
                                    QmiNasPlmnNameCountryInitials *value_3gpp_eons_plmn_name_short_name_country_initials,
                                    QmiNasPlmnNameSpareBits *value_3gpp_eons_plmn_name_short_name_spare_bits,
                                    GArray **value_3gpp_eons_plmn_name_short_name,
                                    QmiNasNetworkDescriptionEncoding *value_3gpp_eons_plmn_name_long_name_encoding,
                                    QmiNasPlmnNameCountryInitials *value_3gpp_eons_plmn_name_long_name_country_initials,
                                    QmiNasPlmnNameSpareBits *value_3gpp_eons_plmn_name_long_name_spare_bits,
                                    GArray **value_3gpp_eons_plmn_name_long_name,
                                    GError **error);

Get the '3GPP EONS PLMN Name' field from `self` .

#### Parameters

self | a QmiMessageNasGetPlmnNameOutput. |
value_3gpp_eons_plmn_name_service_provider_name_encoding | a placeholder for the output QmiNasNetworkDescriptionEncoding, or `NULL` if not required. | [out][optional]
value_3gpp_eons_plmn_name_service_provider_name | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint8][transfer none]
value_3gpp_eons_plmn_name_short_name_encoding | a placeholder for the output QmiNasNetworkDescriptionEncoding, or `NULL` if not required. | [out][optional]
value_3gpp_eons_plmn_name_short_name_country_initials | a placeholder for the output QmiNasPlmnNameCountryInitials, or `NULL` if not required. | [out][optional]
value_3gpp_eons_plmn_name_short_name_spare_bits | a placeholder for the output QmiNasPlmnNameSpareBits, or `NULL` if not required. | [out][optional]
value_3gpp_eons_plmn_name_short_name | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint8][transfer none]
value_3gpp_eons_plmn_name_long_name_encoding | a placeholder for the output QmiNasNetworkDescriptionEncoding, or `NULL` if not required. | [out][optional]
value_3gpp_eons_plmn_name_long_name_country_initials | a placeholder for the output QmiNasPlmnNameCountryInitials, or `NULL` if not required. | [out][optional]
value_3gpp_eons_plmn_name_long_name_spare_bits | a placeholder for the output QmiNasPlmnNameSpareBits, or `NULL` if not required. | [out][optional]
value_3gpp_eons_plmn_name_long_name | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint8][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_nas_get_plmn_name_output_get_result ()

    gboolean
    qmi_message_nas_get_plmn_name_output_get_result
                                   (QmiMessageNasGetPlmnNameOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageNasGetPlmnNameOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.28

### qmi_client_nas_get_plmn_name ()

    void
    qmi_client_nas_get_plmn_name (QmiClientNas *self,
                                  QmiMessageNasGetPlmnNameInput *input,
                                  guint timeout,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

Asynchronously sends a Get PLMN Name request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_nas_get_plmn_name_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientNas. |
input | a QmiMessageNasGetPlmnNameInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.28

### qmi_client_nas_get_plmn_name_finish ()

    QmiMessageNasGetPlmnNameOutput *
    qmi_client_nas_get_plmn_name_finish (QmiClientNas *self,
                                         GAsyncResult *res,
                                         GError **error);

Finishes an async operation started with `qmi_client_nas_get_plmn_name()`.

#### Parameters

self | a QmiClientNas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_nas_get_plmn_name()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageNasGetPlmnNameOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_nas_get_plmn_name_output_unref()`.

Since: 1.28

## Types and Values

### QmiMessageNasGetPlmnNameInput

    typedef struct _QmiMessageNasGetPlmnNameInput QmiMessageNasGetPlmnNameInput;

The QmiMessageNasGetPlmnNameInput structure contains private data and should only be accessed using the provided API.

Since: 1.28

### QmiMessageNasGetPlmnNameOutput

    typedef struct _QmiMessageNasGetPlmnNameOutput QmiMessageNasGetPlmnNameOutput;

The QmiMessageNasGetPlmnNameOutput structure contains private data and should only be accessed using the provided API.

Since: 1.28

### QmiMessageNasGetPlmnNameOutputPlmnNameWithLanguageIdElement

    typedef struct {
        GArray *long_name;
        GArray *short_name;
        QmiNasPlmnLanguageId language_id;
    } QmiMessageNasGetPlmnNameOutputPlmnNameWithLanguageIdElement;

A QmiMessageNasGetPlmnNameOutputPlmnNameWithLanguageIdElement struct.

#### Members

GArray *`long_name`; | a GArray of guint16 elements. |
GArray *`short_name`; | a GArray of guint16 elements. |
QmiNasPlmnLanguageId `language_id`; | a QmiNasPlmnLanguageId. |

Since: 1.28